## org.apache.html.dom
Class HTMLFrameElementImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.NodeImpl
            |
            +--org.apache.xerces.dom.ChildNode
                  |
                  +--org.apache.xerces.dom.ParentNode
                        |
                        +--org.apache.xerces.dom.ElementImpl
                              |
                              +--org.apache.html.dom.HTMLElementImpl
                                    |
                                    +--org.apache.html.dom.HTMLFrameElementImpl

All Implemented Interfaces:
  java.lang.Cloneable, org.w3c.dom.Element, org.w3c.dom.events.EventTarget, org.w3c.dom.html.HTMLElement, org.w3c.dom.html.HTMLFrameElement, org.w3c.dom.Node, org.w3c.dom.NodeList, java.io.Serializable, org.apache.xerces.dom3.TypeInfo

public class HTMLFrameElementImpl
extends HTMLElementImpl
implements org.w3c.dom.html.HTMLFrameElement

Version:
  $Revision: 1.7 $ $Date: 2003/03/26 17:26:01 $
Author:
  Assaf Arkin
See Also:
  `HTMLFrameElement`, `ElementImpl`, Serialized Form

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl

`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE, UNNORMALIZED`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`HTMLFrameElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`java.lang.String` `getFrameBorder()`
`java.lang.String` `getLongDesc()`
`java.lang.String` `getMarginHeight()`
`java.lang.String` `getMarginWidth()`
`java.lang.String` `getName()`
`boolean` `getNoResize()`
`java.lang.String` `getScrolling()`
`java.lang.String` `getSrc()`
`void` `setFrameBorder(java.lang.String frameBorder)`
`void` `setLongDesc(java.lang.String longDesc)`
`void` `setMarginHeight(java.lang.String marginHeight)`
`void` `setMarginWidth(java.lang.String marginWidth)`
`void` `setName(java.lang.String name)`
`void` `setNoResize(boolean noResize)`
`void` `setScrolling(java.lang.String scrolling)`
`void` `setSrc(java.lang.String src)`

Methods inherited from class org.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.apache.xerces.dom.ElementImpl

`cloneNode, getAttributes, getBaseURI, getDefaultAttributes, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getTypeName, getTypeNamespace, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, insertBefore, item, removeChild, replaceChild, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl

`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getLocalName, getNamespaceURI, getNodeNumber, getNodeValue, getPrefix, getReadOnly, getUserData, getUserData, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setPrefix, setUserData, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Constructor Detail

### HTMLFrameElementImpl

    public HTMLFrameElementImpl(HTMLDocumentImpl owner,
                                java.lang.String name)

  Constructor requires owner document.
  Parameters:
    `owner` - The owner HTML document

Method Detail

### getFrameBorder

    public java.lang.String getFrameBorder()

  Specified by:
    `getFrameBorder` in interface `org.w3c.dom.html.HTMLFrameElement`

### setFrameBorder

    public void setFrameBorder(java.lang.String frameBorder)

  Specified by:
    `setFrameBorder` in interface `org.w3c.dom.html.HTMLFrameElement`

### getLongDesc

    public java.lang.String getLongDesc()

  Specified by:
    `getLongDesc` in interface `org.w3c.dom.html.HTMLFrameElement`

### setLongDesc

    public void setLongDesc(java.lang.String longDesc)

  Specified by:
    `setLongDesc` in interface `org.w3c.dom.html.HTMLFrameElement`

### getMarginHeight

    public java.lang.String getMarginHeight()

  Specified by:
    `getMarginHeight` in interface `org.w3c.dom.html.HTMLFrameElement`

### setMarginHeight

    public void setMarginHeight(java.lang.String marginHeight)

  Specified by:
    `setMarginHeight` in interface `org.w3c.dom.html.HTMLFrameElement`

### getMarginWidth

    public java.lang.String getMarginWidth()

  Specified by:
    `getMarginWidth` in interface `org.w3c.dom.html.HTMLFrameElement`

### setMarginWidth

    public void setMarginWidth(java.lang.String marginWidth)

  Specified by:
    `setMarginWidth` in interface `org.w3c.dom.html.HTMLFrameElement`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.w3c.dom.html.HTMLFrameElement`

### setName

    public void setName(java.lang.String name)

  Specified by:
    `setName` in interface `org.w3c.dom.html.HTMLFrameElement`

### getNoResize

    public boolean getNoResize()

  Specified by:
    `getNoResize` in interface `org.w3c.dom.html.HTMLFrameElement`

### setNoResize

    public void setNoResize(boolean noResize)

  Specified by:
    `setNoResize` in interface `org.w3c.dom.html.HTMLFrameElement`

### getScrolling

    public java.lang.String getScrolling()

  Specified by:
    `getScrolling` in interface `org.w3c.dom.html.HTMLFrameElement`

### setScrolling

    public void setScrolling(java.lang.String scrolling)

  Specified by:
    `setScrolling` in interface `org.w3c.dom.html.HTMLFrameElement`

### getSrc

    public java.lang.String getSrc()

  Specified by:
    `getSrc` in interface `org.w3c.dom.html.HTMLFrameElement`

### setSrc

    public void setSrc(java.lang.String src)

  Specified by:
    `setSrc` in interface `org.w3c.dom.html.HTMLFrameElement`

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.